# Uses of Class
serp.bytecode.lowlevel.UTF8Entry

Packages that use UTF8Entry
Package
Description
serp.bytecode.lowlevel
Lowlevel Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of UTF8Entry in serp.bytecode.lowlevel

Methods in serp.bytecode.lowlevel that return UTF8Entry
Modifier and Type
Method
Description
`UTF8Entry`
NameAndTypeEntry.`getDescriptorEntry()`
Return the descriptor's referenced `UTF8Entry`.
`UTF8Entry`
MethodTypeEntry.`getMethodDescriptorEntry()`
`UTF8Entry`
ClassEntry.`getNameEntry()`
Return the referenced `UTF8Entry`.
`UTF8Entry`
NameAndTypeEntry.`getNameEntry()`
Return the name's referenced `UTF8Entry`.
`UTF8Entry`
StringEntry.`getStringEntry()`
Return the referenced `UTF8Entry`.

## Uses of UTF8Entry in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type UTF8Entry
Modifier and Type
Method
Description
`void`
BCVisitor.`enterUTF8Entry(UTF8Entry obj)`
`void`
PrettyPrintVisitor.`enterUTF8Entry(UTF8Entry obj)`
`void`
BCVisitor.`exitUTF8Entry(UTF8Entry obj)`